# 26. Мутація: Зберегти "Note", прикріплену до "ZonesMap"

Ця мутація дозволяє прикріпити Нотатку до вказаної КартиЗон.

* Нотатку можна пов’язати з Полем через її унікальний ідентифікатор `fieldUuid` та з пов’язаною КартоюЗон через `vectorAnalysisMapUuid`.
* Координату Нотатки можна задати за допомогою `centroid` атрибуту, що вимагає вказаних `latitude` та `longitude` значень.&#x20;
* Тип Нотатки можна вказати за допомогою `тип` атрибуту з допустимими значеннями `PLANNED` або `REAL`.&#x20;
* Опис Нотатки можна надати за допомогою `comment` атрибуту. Якщо опис має бути багаторядковим, `comment` атрибут повинен містити рядок з символами нового рядка `\\n` щоб розділяти рядки. Наприклад: `"Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут."`.

Приклади запитів можна знайти нижче:

```graphql
мутація SaveNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "Тестова нотатка, прикріплена до КартиЗон",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСтворення
    updatedDate
    тип
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація SaveMultiLineNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "Перший рядок. тут\\nДругий рядок тут.\\nТретій рядок тут.",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСтворення
    updatedDate
    тип
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-markeri/26.-mutaciya-zberegti-note-prikriplenu-do-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
